【講座更新連絡:ゼロからのFlutter】flutter doctorしたらSDKのバージョンが「Channel unknown, 0.0.0-unknown」となってしまう場合の対処法の解説を追加しました。

(注)この記事はみんプロ式Flutter講座をご受講頂いている方向けの講座更新連絡です。リンク先のレクチャーは講座にご登録頂いている方のみご覧頂けますのでご注意願います。

受講生の皆様

平素は、みんプロ式Flutter講座・初級編(ゼロからFlutter)をご利用頂きましてありがとうございます。

さて、表題の件につきまして、「flutter doctor」したら「No issue found(問題なし)」となるにも関わらず、FlutterのSDKのバージョンが「Channel unknown, 0.0.0-unknown」と表示され、「flutter」コマンドが使えない事象が発生することがあります。

これは、Windowsにおいて、FlutterのSDKのzipファイルが正しくダウンロード及び解凍できておらずに、インストールに失敗した場合に起こる事象ですが、これについての解説を

本編の以下のレクチャーの8:15付近と

レクチャー016:【Windows】Flutterアプリの開発ツール(SDK)の設定をしよう

(質問対応有り版)
https://school.minpro.net/courses/flutter-ios-android/lectures/11934637
(質問対応無し版)
https://school.minpro.net/courses/flutter-ios-android-no-qa/lectures/11951558

以下の補足セクションのレクチャーに

補足レクチャー:【Windows】flutter doctorしたらSDKのバージョンが「Channel unknown, 0.0.0-unknown」となってしまう場合の対処法

(質問対応有り版)
https://school.minpro.net/courses/flutter-ios-android/lectures/37405139
(質問対応無し版)
https://school.minpro.net/courses/flutter-ios-android-no-qa/lectures/37405177

それぞれ追加致しましたので、必要な方はご参照下さい。

以上、よろしくお願い致します。

こんな記事も読まれています

おすすめコンテンツ






Flutter(フラッター)


みんプロ作成アプリ




TOP